<template lang="pug">
.box
	.box-title.is-flex.is-align-items-center.is-justify-content-flex-start( v-if='title || info' )
		p.title( v-if='title' v-html='title' )
		p.info( v-if='info' v-html='info' )
	.box-content
		slot
</template>

<script>
export default {
	props: {
		title: {
			type: String,
			default: ""
		},
		info: {
			type: String,
			default: ""
		}
	}
}
</script>

<style lang="scss" scoped>
.box {
	background: rgba($color: #000000, $alpha: .34);
	border-radius: 15px;
	overflow: hidden;
	&-title {
		height: 3.75rem;
		padding: 1rem 1.75rem;
		border-bottom: 1px solid rgba($color: #fff, $alpha: .03);
		.title {
			font-size: .875rem;
			font-weight: 800;
			letter-spacing: .03rem;
			text-transform: uppercase;
		}
		.info {
			font-size: .8125rem;
			font-weight: 400;
			line-height: .875rem;
			text-align: right;
			color: #757575;
			margin-left: auto;
		}
		@include max_tablet {
			flex-direction: column;
			align-items: flex-start!important;
			height: unset;
			.info {
				text-align: left;
				margin-top: .5rem;
				margin-left: unset;
			}
		}
	}
	&-content {
		padding: 1.5rem 1.875rem 3rem;
		@include max_tablet {
			padding: 1.5rem 1.25rem 2rem;
		}
	}
}
</style>